#pragma once

#include "SelectionButton.h"

class CellWarsMTManager;
class MultiSelectionCircle;
class Bacterium;

class SelectionCircleButtonRemoveSelection : public SelectionButton
{
public:
	SelectionCircleButtonRemoveSelection(int buttonSlot, CellWarsMTManager *useThisMultiTouchManager, MultiSelectionCircle *belongsToMultiSelectionCircle, bool isMirrored = false);
	virtual ~SelectionCircleButtonRemoveSelection();
	virtual void PreDestroy();

	virtual void click();
};



class SelectionCircleButtonReplicate : public SelectionButton
{
public:
	SelectionCircleButtonReplicate(int buttonSlot, CellWarsMTManager *useThisMultiTouchManager, MultiSelectionCircle *belongsToMultiSelectionCircle, bool isMirrored = false);
	SelectionCircleButtonReplicate(int buttonSlot, CellWarsMTManager *useThisMultiTouchManager, Bacterium *belongsToBacterium, bool isMirrored = false);
	virtual ~SelectionCircleButtonReplicate();
	virtual void PreDestroy();
	virtual void Update(float dt);

	virtual void click();
};



class SelectionCircleButtonUpgrade : public SelectionButton
{
public:
	SelectionCircleButtonUpgrade(int buttonSlot, CellWarsMTManager *useThisMultiTouchManager, MultiSelectionCircle *belongsToMultiSelectionCircle, bool isMirrored = false);
	SelectionCircleButtonUpgrade(int buttonSlot, CellWarsMTManager *useThisMultiTouchManager, Bacterium *belongsToBacterium, bool isMirrored = false);
	virtual ~SelectionCircleButtonUpgrade();
	virtual void PreDestroy();
	virtual void Update(float dt);

	virtual void click();
};
